Subject: Re: [PATCH] centericq: Fix Jabber plugin, make gpgme optional
To: None <>
From: Magnus Henoch <>
List: pkgsrc-users
Date: 02/20/2007 19:01:00
Stephen Borrill <> writes:

> I'm happy to commit the option part, but could you point me at some
> documentation about the NS_AGENTS being deprecated? Might it be better
> to stop ejabberd failing when faced with such a thing?
XEP-0094: Agent Information
Last Updated: 2003-10-08

The problem is that centericq treats some error replies as pertaining
to authentication.  Previously ejabberd sent "feature-not-implemented"
for unknown requests, but now it sends "service-unavailable", as
required by the RFC.  centericq has a workaround to ignore the former
error, but not the latter.  Therefore it believes that authentication
has failed (which is not the case).